Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
BulletPersistentManifold Class Reference

## Public Member Functions
| BulletPersistentManifold (btPersistentManifold *manifold)
BulletManifoldPoint | __get_manifold_point (int idx) const
void | clear_manifold ()
PN_stdfloat | get_contact_breaking_threshold () const
PN_stdfloat | get_contact_processing_threshold () const
BulletManifoldPoint * | get_manifold_point (int idx) const
PandaNode * | get_node0 ()
PandaNode * | get_node1 ()
int | get_num_manifold_points () const

## Public Attributes
| __get_manifold_point
| get_contact_breaking_threshold
| get_contact_processing_threshold
| get_node0
| get_node1
| get_num_manifold_points

## Detailed Description

Definition at line 28 of file bulletPersistentManifold.h.

## Constructor & Destructor Documentation

## ◆ ~BulletPersistentManifold()

BulletPersistentManifold::~BulletPersistentManifold | ( |  | ) |
| inline

Definition at line 17 of file bulletPersistentManifold.I.

## ◆ BulletPersistentManifold()

BulletPersistentManifold::BulletPersistentManifold | ( | btPersistentManifold * | manifold | ) |

Definition at line 22 of file bulletPersistentManifold.cxx.

## Member Function Documentation

## ◆ clear_manifold()

void BulletPersistentManifold::clear_manifold | ( |  | ) |

Definition at line 50 of file bulletPersistentManifold.cxx.

## ◆ get_manifold_point()

BulletManifoldPoint * BulletPersistentManifold::get_manifold_point | ( | int | idx | ) | const

Definition at line 110 of file bulletPersistentManifold.cxx.

## Member Data Documentation

## ◆ __get_manifold_point

BulletManifoldPoint BulletPersistentManifold::__get_manifold_point

Definition at line 39 of file bulletPersistentManifold.h.

## ◆ get_contact_breaking_threshold

PN_stdfloat BulletPersistentManifold::get_contact_breaking_threshold

Definition at line 49 of file bulletPersistentManifold.h.

## ◆ get_contact_processing_threshold

PN_stdfloat BulletPersistentManifold::get_contact_processing_threshold

Definition at line 50 of file bulletPersistentManifold.h.

## ◆ get_node0

PandaNode * BulletPersistentManifold::get_node0

Definition at line 46 of file bulletPersistentManifold.h.

## ◆ get_node1

PandaNode * BulletPersistentManifold::get_node1

Definition at line 47 of file bulletPersistentManifold.h.

## ◆ get_num_manifold_points

int BulletPersistentManifold::get_num_manifold_points

Definition at line 39 of file bulletPersistentManifold.h.

The documentation for this class was generated from the following files:

- panda/src/bullet/bulletPersistentManifold.h
- panda/src/bullet/bulletPersistentManifold.cxx
- panda/src/bullet/bulletPersistentManifold.I